/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#include "hark-lib/node/Constant.h"

namespace hark
{
namespace node
{
    Constant::Constant():
        NodeDef("Constant")
    {
        *this
            << Terminal::in("VALUE")
            >> Terminal::out("OUTPUT");
    }

    void
    Constant::reset()
    {
    }

    bool
    Constant::operator () (size_t count, InputDataBundle &input, OutputDataBundle &output)
    {
        output["OUTPUT"].push(input["VALUE"].last());
        return true;
    }
}
}

/* end of file */
